NIOSynchChannelServer (ActiveIO 1.0 API)
Keywords: org.activeio.net.NIOSynchChannelServer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class NIOSynchChannelServer

    java.lang.Object
      org.activeio.net.SocketSynchChannelServer
          org.activeio.net.NIOSynchChannelServer

All Implemented Interfaces:
  Channel, ChannelServer, Disposable, Service, SynchChannelServer

public class NIOSynchChannelServer
extends SocketSynchChannelServer

A SynchChannelServer that creates `org.activeio.net.TcpSynchChannel`objects from accepted tcp socket connections.

Version:
  $Revision$

Field Summary

Fields inherited from interface org.activeio.SynchChannelServer
`NO_WAIT_TIMEOUT, WAIT_FOREVER_TIMEOUT`

Constructor Summary
`NIOSynchChannelServer(java.nio.channels.ServerSocketChannel socketChannel, java.net.URI bindURI, java.net.URI connectURI, boolean createWriteBufferedChannels, boolean useDirectBuffers)`

Method Summary
`protected Channel` | `createChannel(java.net.Socket socket)`

Methods inherited from class org.activeio.net.SocketSynchChannelServer
`accept, dispose, getBindURI, getConnectURI, narrow, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NIOSynchChannelServer

    public NIOSynchChannelServer(java.nio.channels.ServerSocketChannel socketChannel,
                                 java.net.URI bindURI,
                                 java.net.URI connectURI,
                                 boolean createWriteBufferedChannels,
                                 boolean useDirectBuffers)

Method Detail

### createChannel

    protected Channel createChannel(java.net.Socket socket)
                             throws java.io.IOException

  Overrides:
    `createChannel` in class `SocketSynchChannelServer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.